/**
Form LionJemr v1.03
CSS 050921
*/

.formulario_lead {
    background-color: var(--colorBlanco);
    border-radius: 10px;
    color: var(--colorNegro);
    padding: 0 .4rem;
    margin: 1rem auto;
    max-width: 100%;
}

#formLead label, #formContacto label, #formNewsletter label {
    color: var(--colorNegro);
    font-size: 1.6rem;
    font-weight: 400;
    margin: .5rem 0;
}

.contenido_form_lead span{
    font-size: 1.6rem;
    font-weight: 400;
}

.contenido_form_lead h2{
    font-size: 4rem;
    font-weight: 700;
}

.contenido_form_lead p{
    font-size: 1.8rem;
    font-weight: 300;
}

#formContacto label{
    margin: .5rem 0;
}

#formNewsletter .form-control {
    background-color: #F5F4F4 !important;
    border: 1px solid #e4e4e4;
    width: 250px;
}

input.form_input,
textarea.form_textarea {
    margin: 0 auto;
    width: 98%;
}

input.form_input:focus-visible,
textarea.form_textarea:focus-visible {
    border-color: rgb(255, 222, 89);
    box-shadow: 0 0 0 0.2rem rgba(255, 222, 89, 0.6)
}

.form_textarea {
    border: 1px solid #e4e4e4;
    border-radius: 5px;
    height: 150px;
}

input[type=file] {
    background-color: var(--colorBlanco);
}

.action-button {
    background-color: var(--colorPrincipal);
    border: var(--colorPrincipal);
    border-radius: 50px;
    color: var(--colorBlanco);
    padding: .5rem 1.3rem;
    font-size: 1.6rem;
    width: 100%;
    transition: all .3s ease-in;
}

.action-button:hover {
    background-color: var(--colorGradiente);
    border: var(--colorPrincipal);
}

#formLead.replaceWithState .custom-form__success,
#formLead.replaceWithState .custom-form__error,
#formNewsletter.replaceWithState .custom-form__success,
#formNewsletter.replaceWithState .custom-form__error,
#formLeadSnowball.replaceWithState .custom-form__success,
#formLeadSnowball.replaceWithState .custom-form__error,
#formContacto.replaceWithState .custom-form__success,
#formContacto.replaceWithState .custom-form__error {
    display: none;
}

#formLead.success .custom-form__success,
#formContacto.success .custom-form__success 
#formLeadSnowball.success .custom-form__success 
#formNewsletter.success .custom-form__success{
    display: flex;
    justify-content: center;
    align-items: center;
}

#formLead.success .custom-form__success, 
#formNewsletter.success .custom-form__success, 
#formLeadSnowball.success .custom-form__success, 
#formContacto.success .custom-form__success{
    display: flex;
    background-color: #008c6f;
    border: 1px solid #1e795b;
    color: #fff;
    padding: .8rem;
    text-align: center;
    margin: .8rem auto;
    width: 100%;
}

#formLead.success .custom-form__success i,
#formNewsletter.success .custom-form__success i,
#formLeadSnowball.success .custom-form__success i,
#formContacto.success .custom-form__success i{
    margin: 0 .8rem;
}

#formLead.error .custom-form__error,
#formNewsletter.error .custom-form__error,
#formLeadSnowball.error .custom-form__error,
#formContacto.error .custom-form__error {
    display: block;
}

#formLead.error .custom-form__error,
#formNewsletter.error .custom-form__error,
#formLeadSnowball.error .custom-form__error,
#formContacto.error .custom-form__error {
    background-color: #ffeded;
    border: 1px solid #fb7272;
    color: #cd1414;
    padding: .8rem;
    text-align: center;
    margin: .8rem auto;
    width: 95%;
}

.form_terminos_condiciones{
    display: flex;
    align-items: center;
}

span.field_required{
    color: red;
    font-size: 1.4rem
}

.terminos_condiciones small, .mensaje_requerido {
    color: #2B363B;
    display: flex;
    align-items: center;
    font-size: .95rem;
    line-height: 17px;
    font-weight: 300;
    margin-top: .25em;
}

.terminos_condiciones small a {
    color: #2B363B;
    text-decoration: underline;
    margin: 0 .3rem;
}

@media(min-width: 992px) {
    #formLead.success .custom-form__success,
    #formContacto.success .custom-form__success,
    #formNewsletter.success .custom-form__success,
    #formLeadSnowball.success .custom-form__success,
    #formLead.error .custom-form__error,
    #formNewsletter.error .custom-form__error,
    #formLeadSnowball.error .custom-form__error,
    #formContacto.error .custom-form__error{
        width: 90%;
    }

}

/** Formulario Contacto */
.formulario_contacto {
    padding: 1rem 0;
    margin: 1rem auto;
    max-width: 100%;
}

.formulario_contacto h2 {
    color: var(--colorNegro);
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 2rem;
    font-size: 1.6rem;
}

@media(min-width: 768px){
    .formulario_contacto {
        padding: 0 1rem;
    }
}